setup.js - Functions for setting up a player without user interaction based on the data-setup `attribute` of the video tag.

### Methods

#### inner autoSetup()
`setup.js`, `line 18`

  Set up any tags that have a data-setup `attribute` when the player is started.

#### inner autoSetupTimeout(wait, vjsopt)
`setup.js`, `line 94`

  Wait until the page is loaded before running autoSetup. This will be called in autoSetup if `hasLoaded` returns false.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `wait` | number |  | How long to wait in ms
  `vjs` | module:videojs | <optional> | The videojs library function

#### inner hasLoaded()
`setup.js`, `line 118`

  check if the document has been loaded